> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook Subscription



## OpenAPI

````yaml DELETE /api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}
openapi: 3.1.0
info:
  title: Xenia Team API - Delete Webhook Subscription
  version: 1.0.0
  description: Delete a webhook subscription.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}:
    delete:
      tags:
        - Webhooks
      summary: Delete Webhook Subscription
      description: >-
        Permanently deletes a webhook subscription. This action cannot be
        undone.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID
        - name: subscriptionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Subscription ID
      responses:
        '200':
          description: Subscription deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  code:
                    type: integer
                  message:
                    type: string
              example:
                status: true
                code: 200
                message: Webhook subscription deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Subscription not found
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````